Debian Bug report logs - #313609
libncurses5: Ugly display artifacts with aptitude

version graph

Package: libncurses5; Maintainer for libncurses5 is Craig Small <csmall@debian.org>; Source for libncurses5 is src:ncurses.

Reported by: Dave Carrigan <dave@rudedog.org>

Date: Tue, 14 Jun 2005 15:48:03 UTC

Severity: normal

Found in version 5.4-6

Fixed in version ncurses/5.4-7

Done: Daniel Jacobowitz <dan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#313609; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to Dave Carrigan <dave@rudedog.org>:
New Bug report received and forwarded. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dave Carrigan <dave@rudedog.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libncurses5: Ugly display artifacts with aptitude
Date: Tue, 14 Jun 2005 08:44:06 -0700
Package: libncurses5
Version: 5.4-6
Severity: normal

After upgrading libncurses, I get ugly display artifacts in aptitude. A
screenshot is at http://www.rudedog.org/tmp/ncurses.png

Specifically, the text in the bottom half of the screen should not be
displayed as black on bright white; it should be white on black.

Downgrading libncurses and friends to 5.4-4 fixes the problem.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.10-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ISO-8859-1) (ignored: LC_ALL set to en_US.ISO-8859-1)

Versions of packages libncurses5 depends on:
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an

-- no debconf information



Message sent on to Dave Carrigan <dave@rudedog.org>:
Bug#313609. Full text and rfc822 format available.

Message #8 received at 313609-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Dave Carrigan <dave@rudedog.org>, 313609-submitter@bugs.debian.org
Subject: Re: Bug#313609: libncurses5: Ugly display artifacts with aptitude
Date: Tue, 14 Jun 2005 20:58:24 -0400 (EDT)
On Tue, 14 Jun 2005, Dave Carrigan wrote:

> Package: libncurses5
> Version: 5.4-6
> Severity: normal
>
> After upgrading libncurses, I get ugly display artifacts in aptitude. A
> screenshot is at http://www.rudedog.org/tmp/ncurses.png

Running aptitude with the same version of ncurses as in the package (5.4 
20050604), I don't see this (but I'm running testing, not unstable - there 
may be some other complication).

Perhaps some more information would help me see the same picture.  What's 
$TERM set to?  I assume that's konsole in the picture.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Message sent on to Dave Carrigan <dave@rudedog.org>:
Bug#313609. Full text and rfc822 format available.

Message #11 received at 313609-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Dave Carrigan <dave@rudedog.org>, 313609-submitter@bugs.debian.org
Subject: Re: Bug#313609: libncurses5: Ugly display artifacts with aptitude
Date: Tue, 14 Jun 2005 21:10:24 -0400 (EDT)
On Tue, 14 Jun 2005, Dave Carrigan wrote:

> Package: libncurses5
> Version: 5.4-6
> Severity: normal
>
> After upgrading libncurses, I get ugly display artifacts in aptitude. A
> screenshot is at http://www.rudedog.org/tmp/ncurses.png
>
> Specifically, the text in the bottom half of the screen should not be
> displayed as black on bright white; it should be white on black.

...second try - I see that something is painting that in default color,
will see what the reason is.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#313609; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #16 received at 313609@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Dave Carrigan <dave@rudedog.org>, 313609@bugs.debian.org
Subject: Re: Bug#313609: libncurses5: Ugly display artifacts with aptitude
Date: Tue, 14 Jun 2005 21:33:57 -0400 (EDT)
On Tue, 14 Jun 2005, Dave Carrigan wrote:

> Specifically, the text in the bottom half of the screen should not be
> displayed as black on bright white; it should be white on black.

That's the intent of the code, anyway.  I took a quick look, tracing it, 
and it appears that what's going on is that aptitude is doing some 
low-level manipulation of the colors that doesn't show up in ncurses' 
trace...

I'll have to regress some versions of ncurses to see what change affected
this.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Message sent on to Dave Carrigan <dave@rudedog.org>:
Bug#313609. Full text and rfc822 format available.

Message #19 received at 313609-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 314180-submitter@bugs.debian.org, 313609-submitter@bugs.debian.org
Subject: Re: Bug#314180: dselect: reverse-video some spaces on screen
Date: Wed, 15 Jun 2005 10:37:14 -0400
On Wed, Jun 15, 2005 at 07:00:10AM +0200, Blars Blarson wrote:
> Package: dselect
> Version: 1.13.9
> Severity: minor
> Tags: sid
> 
> Using terminal type xterm, dselect sometimes uses white blocks for
> spaces around and between white-on-black characters.  My guess is it
> is over-optimizing the screen refresh and thinks that at
> white-on-black space is the same as a black-on-white space.
> 
> I've been using dselect since potato, and this is new with the latest
> sid dselect.

it's probably a duplicate of #313609

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Jacobowitz <ncurses-maint@debian.org>:
Bug#313609; Package libncurses5. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Daniel Jacobowitz <ncurses-maint@debian.org>. Full text and rfc822 format available.

Message #24 received at 313609@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Dave Carrigan <dave@rudedog.org>, 313609@bugs.debian.org
Subject: Re: Bug#313609: libncurses5: Ugly display artifacts with aptitude
Date: Wed, 15 Jun 2005 18:47:42 -0400 (EDT)
On Tue, 14 Jun 2005, Dave Carrigan wrote:

> Package: libncurses5
> Version: 5.4-6
> Severity: normal
>
> After upgrading libncurses, I get ugly display artifacts in aptitude. A
> screenshot is at http://www.rudedog.org/tmp/ncurses.png
>
> Specifically, the text in the bottom half of the screen should not be
> displayed as black on bright white; it should be white on black.

The problem is this little chunk in lib_color.c:

    } else if (back_color_erase &&
               ((isDefaultPair(old_pair) &&
                 isDefaultPair(pair)) &&
                (no_color_video <= 0 ||
                 (no_color_video & 4) == 0))) {
        return;

from

20041030
        + improve color optimization a little by making _nc_do_color() check
          if the old/new pairs are equivalent to the default pair 0.

I'll revert that in the next patch (simply remove it).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Daniel Jacobowitz <dan@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dave Carrigan <dave@rudedog.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 313609-close@bugs.debian.org (full text, mbox):

From: Daniel Jacobowitz <dan@debian.org>
To: 313609-close@bugs.debian.org
Subject: Bug#313609: fixed in ncurses 5.4-7
Date: Sun, 19 Jun 2005 23:17:06 -0400
Source: ncurses
Source-Version: 5.4-7

We believe that the bug you reported is fixed in the latest version of
ncurses, which is due to be installed in the Debian FTP archive:

libncurses5-dbg_5.4-7_i386.deb
  to pool/main/n/ncurses/libncurses5-dbg_5.4-7_i386.deb
libncurses5-dev_5.4-7_i386.deb
  to pool/main/n/ncurses/libncurses5-dev_5.4-7_i386.deb
libncurses5_5.4-7_i386.deb
  to pool/main/n/ncurses/libncurses5_5.4-7_i386.deb
libncursesw5-dbg_5.4-7_i386.deb
  to pool/main/n/ncurses/libncursesw5-dbg_5.4-7_i386.deb
libncursesw5-dev_5.4-7_i386.deb
  to pool/main/n/ncurses/libncursesw5-dev_5.4-7_i386.deb
libncursesw5_5.4-7_i386.deb
  to pool/main/n/ncurses/libncursesw5_5.4-7_i386.deb
ncurses-base_5.4-7_all.deb
  to pool/main/n/ncurses/ncurses-base_5.4-7_all.deb
ncurses-bin_5.4-7_i386.deb
  to pool/main/n/ncurses/ncurses-bin_5.4-7_i386.deb
ncurses-term_5.4-7_all.deb
  to pool/main/n/ncurses/ncurses-term_5.4-7_all.deb
ncurses_5.4-7.diff.gz
  to pool/main/n/ncurses/ncurses_5.4-7.diff.gz
ncurses_5.4-7.dsc
  to pool/main/n/ncurses/ncurses_5.4-7.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 313609@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Jacobowitz <dan@debian.org> (supplier of updated ncurses package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 19 Jun 2005 21:48:37 -0400
Source: ncurses
Binary: ncurses-base lib64ncurses5 libncursesw5-dev libncursesw5-dbg ncurses-bin libncurses5 libncursesw5 libncurses5-dev ncurses-term libncurses5-dbg lib64ncurses5-dev
Architecture: source i386 all
Version: 5.4-7
Distribution: unstable
Urgency: low
Maintainer: Daniel Jacobowitz <ncurses-maint@debian.org>
Changed-By: Daniel Jacobowitz <dan@debian.org>
Description: 
 libncurses5 - Shared libraries for terminal handling
 libncurses5-dbg - Debugging/profiling libraries for ncurses
 libncurses5-dev - Developer's libraries and docs for ncurses
 libncursesw5 - Shared libraries for terminal handling (wide character support)
 libncursesw5-dbg - Debugging/profiling libraries for ncurses
 libncursesw5-dev - Developer's libraries for ncursesw
 ncurses-base - Descriptions of common terminal types
 ncurses-bin - Terminal-related programs and man pages
 ncurses-term - Additional terminal type definitions
Closes: 270287 313478 313609 314448
Changes: 
 ncurses (5.4-7) unstable; urgency=low
 .
   * Update to upstream patch level 20050619.
     - Removes a minor optimization which broke aptitude in an Eterm
       (Closes: #313609).
     - Incorporated edit-man-out-of-sourcedir.patch.
     - Obsoleted tack-manpage-section.patch.
     - Implement, and fix up, --with-chtype.
   * Update the priority of libncursesw5.
   * Update for changed dpkg-architecture behavior without breaking backwards
     compatibility (Closes: #314448).
   * Conditionalize GPM dependency for Linux only (Closes: #313478).
   * Add a terminfo entry for rxvt-unicode (Closes: #270287).
   * Use new --with-chtype and --with-mmask-t options for now.
   * Tweak the tack manpage again.
Files: 
 6084132fe0eccf08446f44691abf0b8f 930 libs standard ncurses_5.4-7.dsc
 40055801eda752ed0caeb0e6b473b707 801316 libs standard ncurses_5.4-7.diff.gz
 87530999bf78ffcbfd402e36e9a5c978 289450 base required libncurses5_5.4-7_i386.deb
 3adb67e20ba2eb4bab8a0dd29be3e850 1247764 libdevel optional libncurses5-dev_5.4-7_i386.deb
 8b0a1bf2c60252d5cbfde3070aac13ff 5266276 libdevel extra libncurses5-dbg_5.4-7_i386.deb
 b13d35aa2bd0c7f1fe5c2949b897eb10 304966 libs important libncursesw5_5.4-7_i386.deb
 4a52e84b8ffc49dcaaf3d8bd01c491f8 417824 libdevel optional libncursesw5-dev_5.4-7_i386.deb
 8b84cc4fa683eeff1f242aba95995dff 5800584 libdevel extra libncursesw5-dbg_5.4-7_i386.deb
 c6a6ee6a00d0db27432c4f3f6cfed249 207638 base required ncurses-bin_5.4-7_i386.deb
 0e168424be14d21b9ba34a29f4d8315e 12230 base required ncurses-base_5.4-7_all.deb
 96695f7f687d188ecb9b190cf0406c2a 277974 admin standard ncurses-term_5.4-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFCtjIJbgOPXuCjg3cRAkzSAKCA50vnvyr95exbEvqC7IZnGITSdgCfQPaH
qjhhOWf0+zFSIAmd6undKdg=
=0Ftg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 13:13:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:33:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.